Swagger V3 Tracker Configuration Endpoints
The following tracker configuration endpoints are available:
Get Tracker Configuration - GET/v3/tracker/{trackerId}/configuration
Create or Update Tracker Configuration - POST/v3/tracker/configuration
Get Tracker Configuration 
Based on trackerId, the Get Tracker Configuration endpoint returns the settings of the General and the Fields tabs in the Configuration menu of a specified tracker on the user interface.
URL
GET /v3/tracker/{trackerId}/configuration
Response Body Example
"basicInformation": {
"trackerId": 2685771,
"projectId": 1117,
"issueTypeId": 5,
"templateId": 2106401,
"template": true,
"name": "2 Hardware Requirements",
"key": "HARDREQ",
"color": "",
"defaultLayout": "DOCUMENT",
"description": "1 Hardware requirements",
"workflowIsActive": true,
"onlyWorkflowActionsCanCreateNewReferringItems": false,
"alwaysUseQuickTransitions": false,
"locked": false,
"hidden": false,
"showAncestorItems": false,
"showDescendantItems": false,
"sharedInWorkingSets": false,
"itemCountVisibility": true,
"referenceVisibility": true,
"recentReferringTrackersMenu": false,
"digitalProductTraceability": "REQUIREMENT"
},
"fields": [
{
"referenceId": 0,
"typeId": 1,
"position": 1,
"label": "ID",
"hidden": false,
"listable": true,
"mandatory": false,
"mandatoryExceptInStatus": [],
"multipleSelection": false,
"propagateSuspect": false,
"reversedSuspect": false,
"bidirectionalSuspect": false,
"propagateDependencies": false,
"omitSuspectedWhenChange": false,
"omitMerge": false,
"newLine": false,
"permission": {
"type": "UNRESTRICTED"
},
"computedFieldReferences": [],
"publishedOslcTerm": true,
"oslcTerm": "dcterms:identifier"
}
],
``
Create or Update Tracker Configuration 
Use the Create or Update Tracker Configuration endpoint to manage the settings of the General and the Fields tabs in the Configuration menu of a tracker.
With this endpoint:
You can change existing tracker configurations.
You can create new trackers with the General and Fields configuration settings similar to as the source tracker, or with modified settings.
Using the tracker configuration JSON of a tracker as a source, deleting its trackerId and clicking Execute, a new tracker is created with the same General and Fields configuration settings as the source tracker. Navigate back to the user interface, and reload the page to display the newly created tracker.
If a non-existing trackerId is provided in the JSON, the API request fails.
After making the changes, click Execute and reload the user interface to synchronize the changes.
* 
The POST/v3/tracker/configuration endpoint allows the modification of all configuration settings of the General and Fields tabs of the tracker configuration in JSON format. Always re-check the accuracy and necessity of the changes you want to perform for avoiding configuration errors.
URL
POST /v3/tracker/configuration
Request Body Example
{
"basicInformation": {
"trackerId":2685771,
"alwaysUseQuickTransitions": true,
"color": "string",
"defaultLayout": "TABLE",
"description": "string",
"digitalProductTraceability": "NONE",
"hidden": true,
"inboxId": 0,
"issueTypeId": 0,
"itemCountVisibility": true,
"key": "string",
"locked": true,
"name": "string",
"onlyWorkflowActionsCanCreateNewReferringItems": true,
"projectId": 0,
"recentReferringTrackersMenu": true,
"referenceVisibility": true,
"sharedInWorkingSets": true,
"showAncestorItems": true,
"showDescendantItems": true,
"template": true,
"templateId": 0,
"trackerId": 0,
"workflowIsActive": true
},
"fields": [
{
"aggregationRule": "MINIMUM",
"allowedValuesInStatuses": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"bidirectionalSuspect": true,
"choiceOptionSetting": {
"type": "string"
},
"computedAs": "string",
"computedFieldReferences": [
{
"direction": "UP",
"referredFieldId": 0,
"referredFieldTrackerId": 0,
"referredTrackerId": 0
}
],
"dateFieldSettings": {
"displayDay": true,
"displayMonth": true,
"displayTime": true,
"displayYear": true
},
"defaultValuesInStatuses": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
},
"dependency": {
"dependentFieldId": 0,
"valueCombinations": {
"additionalProp1": "string",
"additionalProp2": "string",
"additionalProp3": "string"
}
},
"description": "string",
"digits": 0,
"distributionRule": "SET",
"globalTypeIds": [
0
],
"height": 0,
"hidden": true,
"hideIfFormula": "string",
"hideIfFormulaSameAsFieldId": 0,
"label": "string",
"listable": true,
"mandatory": true,
"mandatoryExceptInStatus": [
0
],
"mandatoryIfFormula": "string",
"mandatoryIfFormulaSameAsFieldId": 0,
"maxValue": "string",
"minValue": "string",
"multipleSelection": true,
"newLine": true,
"omitMerge": true,
"omitSuspectedWhenChange": true,
"oslcTerm": "string",
"permission": {
"type": "string"
},
"position": 0,
"propagateDependencies": true,
"propagateSuspect": true,
"publishedOslcTerm": true,
"referenceId": 0,
"reversedSuspect": true,
"serviceDeskField": {
"description": "string",
"label": "string"
},
"span": 0,
"title": "string",
"typeId": 0,
"union": true,
"width": 0
}
]
}
Was this helpful?